## debbugs 2.3-4

=== debian/changelog ===
debbugs (2.3-4) unstable; urgency=low

  * Added a check for unwanted characters in the part of request passed on
    to sendlynxdoc that gets passed to shell. [Josip]
  * Applied Rob Browning's patches to remove more Debian-only stuff,
    closes: #80077. [Josip]
  * Fixed the nextnumber misplacement (it should be in spool dir, not config
    dir), and added a note about running debbugsconfig after changes to
    config file, thanks to Rob for the hints. [Josip]
  * Changed Maintainer: to point to debian-debbugs. Added myself to
    Uploaders:. [Josip]
  * Fixed Lintian errors: file-in-etc-not-marked-as-conffile (except
    for lynx-cfg which is a gross hack anyway),
    virtual-package-depends-without-real-package-depends,
    debian-changelog-file-contains-user-emacs-settings.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu,  7 Feb 2002 17:30:17 +0100

debbugs (2.3-3) unstable; urgency=low

  * Fixed examples installation, debbugsconfig should actually work now,
    closes: #77126. [Josip]
  * Removed all traces of the package after purging, in postrm. [Josip]
  * Added pkgindex.cgi, package/maintainer/submitter indices. [Anthony]
  * Moved readparse to common.pl, since it's, well, common to all the cgi
    stuff. Other fixes in common.pl. [Anthony]
  * Moved some of the pkgreport.cgi logic from common.pl into pkgreport.cgi.
    [Anthony]
  * Random typo fixes in the CGIs. [Anthony]
  * Made the CGI scripts use the common.pl from their directory and not
    /usr/lib/debbugs nor ~ajt/newajbug. That stuff should actually _work_
    now, argh. [Josip]
  * Added bug subject and package name in closing messages. [Josip]
  * Fixed errorlib filename (removed the .in part), this stuff should
    actually _work_ now, argh. I shouldn't be repeating myself. [Josip]
  * Escape +'s in URLs, closes: #75220. [Anthony]
  * Skip checking for new installs or the config file, debbugsconfig needs
    to regenerate the HTML, and it will detect existing conffiles. [Josip]

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri,  1 Dec 2000 15:01:40 +0100

debbugs (2.3-2) unstable; urgency=low

  * Tweaks to the [pkg|bug]report.cgi scripts
  * Merged README and README.Debian (not quite yet)
  * Sundry of patchs from netgod.. see list archives for details :)
     + a bug report that's already been closed, it seems, #36147
     + the send|get command will accept two digits, closes: #39063
     + fixed reference to Debian in the copyright, closes: #39540
  * Provided a CNAME in control@ as well as submit@ for severity
  * mailsummary mails $gSummaryList@$gListDomain now, closes: #36181.
  * Ray's fixes are now included, one way or another, closes: #37210.
    A bug's severity is set to default one before trying to merge it,
    which fixes #47026 filed against bugs.debian.org, and closes: #50106.
  * The ACKs now clearly says which addresses should be mailed,
    closes: #48610.
  * Fixed how /usr/lib/debbugs is prepended to $PATH, closes: #63216.
  * The $gHTMLSeverityDesc variable is now properly terminated,
    closes: #67702.
  * Policy 3.2.1 compliance, includes Build-Depends: debhelper, which
    closes: #70356.
  * Doesn't install the Maintainers and pseudo-packages.description files
    in the /etc/debbugs directory, it instead copies it from templates if
    they don't exist, closes: #70749, #37120.
  * A `priority' command now handles severities, closes: #45818.
  * Fixes and additions to scripts by Adam Heath.
  * Fixes and several new features in the CGI scripts by Anthony Towns.
  * Small fixes and updates to scripts, build system and docs by Josip Rodin.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed,  8 Nov 2000 19:12:01 +0100
