=== debian/control ===
Source: debbugs
Section: misc
Priority: optional
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Darren Benham <gecko@debian.org>, Josip Rodin <jrodin@jagor.srce.hr>
Standards-Version: 3.2.1
Build-Depends: debhelper

Package: debbugs
Architecture: all
Depends: perl5 | perl, exim | mail-transport-agent, mailtools, ed
Recommends: httpd, links | lynx
Description: The bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using WWW.
 .
 This version is fully functional, but it does not autoconfig, see
 /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be some appearance issues where the a display variable
 doesn't expand as expected.
