=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

tmp_dir		:= $(CURDIR)/debian/tmp

build:
# There is nothing to build here, so this rule can be left empty.

clean:
	dh_testdir
	dh_testroot
	#something to remove all trace and *.trace files?
	dh_clean build-stamp

binary-arch:
# nothing to do, as there aren't any architecture-dependent packages

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
	dh_installdocs
	dh_installchangelogs
	dh_undocumented debbugsconfig.8
	dh_strip
	dh_compress -X examples/text
	dh_fixperms
	#chown bugs.bugs $(var_dir)/spool/incoming
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
