## debbugs 2.4.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 var_dir		:= $(DESTDIR)/var/lib/debbugs
 scripts_dir	:= $(DESTDIR)/usr/lib/debbugs
 doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
+man_dir		:= $(DESTDIR)/usr/share/man
+man8_dir	:= $(man_dir)/man8
 examples_dir	:= $(doc_dir)/examples
 
 scripts_in	:= $(filter-out scripts/config.in scripts/errorlib.in scripts/text.in, $(wildcard scripts/*.in))
@@ -24,10 +26,10 @@
 
 install_mostfiles:
 	# create the directories if they aren't there
-	for dir in $(sbin_dir) $(etc_dir)/html $(var_dir)/indices \
-$(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt $(var_dir)/spool/lock \
-$(var_dir)/spool/archive $(var_dir)/spool/incoming $(var_dir)/spool/db \
-$(scripts_dir) $(examples_dir); \
+	for dir in $(sbin_dir) $(etc_dir)/html $(etc_dir)/indices \
+$(var_dir)/indices $(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt \
+$(var_dir)/spool/lock $(var_dir)/spool/archive $(var_dir)/spool/incoming \
+$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(man8_dir); \
           do test -d $$dir || $(install_exec) -d $$dir; done
 
 	# install the scripts
@@ -38,11 +40,11 @@
 	$(install_data) scripts/config.in $(examples_dir)/config
 	$(install_data) scripts/text.in $(examples_dir)/text
 	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
-          misc/pseudo-packages.description $(examples_dir)
+	  misc/Maintainers.override misc/pseudo-packages.description \
+	  misc/sources $(examples_dir)
 
 	# install the HTML pages etc
 	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
-	$(install_data) html/lynx-cfg $(etc_dir)/html/lynx-cfg
 	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess
 
 	# install the CGIs
@@ -51,6 +53,10 @@
 
 	# install debbugsconfig
 	$(install_exec) debian/debbugsconfig $(sbin_dir)
+	$(install_data) debian/debbugsconfig.8 $(man8_dir)
+	# install the debbugs-dbhash migration tool
+	$(install_exec) migrate/debbugs-dbhash $(sbin_dir)
+	$(install_data) migrate/debbugs-dbhash.8 $(man8_dir)
 
 	# install the updateseqs file
 	$(install_data) misc/updateseqs $(var_dir)/spool
