=== debian/changelog ===
debbugs (2.4.1) unstable; urgency=low

  * Colin Watson:
    - Exit the CGI scripts straight away if the HTTP method is HEAD, to save
      pointless work.
    - Display pending+fixed bugs as "fixed in NMU", not "pending upload".
    - Add a man page for debbugsconfig.
    - Report original tags when changing them, closes: #170630.
    - Add missing <ul></ul> tags to db2html's output, closes: #50746.
    - Add a 'submitter' command to service, based on a patch by Matt Kraai.
    - Remove the final use of cgi-lib.pl, so it's gone. Remove copyright
      notices that were there due to using it.
    - Accept ';' as well as '&' as a CGI argument separator.
    - db2html now works with the new hashed database layout.
    - Disable the fixed severity in favour of the tag.
    - MIME-encoded messages to bugs are displayed in decoded form on the web
      interface (unless the "mime=no" parameter is used), closes: #136114.
    - Add facility to search by tag.
    - Fix rebuild script and add it to the example crontab, closes: #139696.
    - Silence postinst warning if spool/db doesn't exist, closes: #194892.
    - Clean up the definition and use of $gCGIDomain, closes: #139697.
  * Adam Heath:
    - Convert all code to use global read/write functions, instead of having
      it duplicated everywhere.
    - Trim trailing whitespace from pseudoheader values.  Closes: #153590.
    - Warn when reassigning to an unknown package.  Closes: #60595.
  * Josip Rodin:
    - Added a terse=yes mode for bugreport.cgi, possibly useful for
      monstrously long bugs.
    - Purged needless date(1) forks, replaced with strftime.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 Jun 2003 09:25:30 +0100

debbugs (2.4) experimental; urgency=low

  * Updating the package with what's in CVS, even though this might
    completely break things for people who've been using the previous also
    broken package. <shrug> :) Upped the minor version since the changes
    are noticeable, and uploaded to experimental, just in case.
  * Applied speedup patch, that uses references, instead of copies.
    Thanks to Thomas Smith. Closes: #87176. [Adam]
  * Reverted some parts of the speedup patch because it breaks the API.
    [Anthony]
  * Bugs that are tagged fixed are now listed in a separate section in the
    web pages. Patch from Colin Watson. Closes: #86922. [Adam]
  * Added support for an additional Maintainers.override file, which is read
    after the normal one. This allows the normal one to be externally
    updated, but still have local overrides. [Adam]
  * Put <title> and </title> on the same line as the title since some lame
    browsers don't seem to like it otherwise. [Josip]
  * Include a mailto: URI in the header for a bug report. [Adam]
  * Added support for filtering on subject with include=subj:foo (exact
    match, case sensitive). [Anthony]
  * Added a missing http://, thanks to Julian Gilbey. [Anthony]
  * Use by-*.idx indices to speed up pkgreport.cgi. [Anthony]
  * Support "maint=" in pkgreport to give packages without a maintainer.
    [Anthony]
  * Updated Postfix documentation. [Darren]
  * Use two variables in order to reduce the amount of path hard-coding.
  * Added support for storing the files in a hashed directory (db-h), with
    the same hash layout as archive/. [Adam]
  * Added support for tracing of bug state changes. This date is in
    $gSpoolDir/debbugs.trace. It is locked (as debbugs.trace.lock) while
    accessed, and appended to. Currently, nothing uses this trace file and
    it isn't even cleaned up, which can be easily fixed with a simple cron
    job. [Adam]
  * Tell sendmail to queue outgoing mail for later delivery, instead of
    immediate delivery. [Adam]
  * Added a keywords header to outgoing email responses. [Adam]
  * Use Resent-From: if From: doesn't exist. [Adam]
  * Added appropriate Reply-To: lines for the ACK messages that could use
    them. [Josip]
  * Add $gUnknownMaintainerEmail to the list of maintainers to mail in case
    an package with no maintainer is referenced. [Adam]
  * processall locks 'incoming-cleaner' before starting, so we don't have
    multiple copies of it running at the same time. [Adam]
  * Sort bugs tagged 'pending' as 'pending upload', between 'forwarded' and
    'fixed'. [Adam]
  * Add support for searching by source package.  pkgreport.cgi takes src=,
    and both pkgreport.cgi and bugreport.cgi have enhanced HTML headers now.
    [Adam]
  * Add support in the CGIs for:
    * 'raw' sorting. This does no grouping based on status or severity, and
      just lists bugs in number order.
    * reversing the order that bugs are displayed. This does not affect
      severity or status ordering.
    * inclusions/exclusions of status and severity. Also, support reverse
      sorting of the above.
  * Make it possible to ban people from control@bugs. [Anthony]
  * Don't lie about missing Subject:s being an RFC822 violation, because
    they aren't. [Anthony, Josip]
  * Added preliminary support for ###-request. [Adam]
  * Added preliminary fast indexing support. [Adam/Anthony (?)]
  * Added preliminary support for CC:ing <src>@packages.qa.debian.org.
    [Anthony]
  * Added preliminary cloning support. [Anthony]
  * Link to submitter's web page, patch from Matt Kraai. [Josip]
  * The autoconfig thing in the description is gone, closes: #124537.
  * Fix viewing archived bugs by source package, closes: #121082, #146484.
    [Colin]
  * Depends: libmailtools-perl rather than mailtools, closes: #113028.
  * Add MIME support to process and service, and depend on libmime-perl as a
    result, closes: #36813. [Colin]
  * Trim Bug#12345: from the Subject:, not "Bug#12345: [", closes: #78123.
    [Anthony]
  * Be more careful about loop detection, closes: #113514. [Adam, Colin]
  * Relax the syntax for 'tags' slightly, since people seem to use it that
    way accidentally a lot, closes: #96164. [Colin]

