## debbugs 2.4.1ubuntu1

=== debian/changelog ===
debbugs (2.4.1ubuntu1) jaunty; urgency=low

  * Prefer postfix as MTA as is the Ubuntu way.

 -- James Westby <james.westby@canonical.com>  Wed, 21 Jan 2009 11:21:11 +0000
