=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: debbugs
 Architecture: all
-Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
+Depends: perl5 | perl, postfix | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
 Recommends: httpd, links | lynx
 Description: The bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by
