=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
 	dh_installdocs
 	dh_installchangelogs
-	dh_undocumented debbugsconfig.8
 	dh_strip
 	dh_compress -X examples/text
 	dh_fixperms
