## debbugs 2.4.1.1

=== debian/changelog ===
debbugs (2.4.1.1) unstable; urgency=medium

  * Move examples out of /usr/share/doc/debbugs/examples which are parsed
    in postinst to /usr/share/debbugs/examples. Thanks to Vagrant
    Cascadian for the patch. (Closes: #775053).

 -- Don Armstrong <don@debian.org>  Wed, 04 Feb 2015 18:04:08 -0800
