## debbugs 2.4.1.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
 man_dir		:= $(DESTDIR)/usr/share/man
 man8_dir	:= $(man_dir)/man8
-examples_dir	:= $(doc_dir)/examples
+examples_dir	:= $(DESTDIR)/usr/share/debbugs/examples
 
 scripts_in	:= $(filter-out scripts/config.in scripts/errorlib.in scripts/text.in, $(wildcard scripts/*.in))
 htmls_in	:= $(wildcard html/*.html.in)
