=== debian/changelog ===
debbugs (2.4.1.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Depends on default-mta instead exim.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 07 Feb 2015 22:34:15 +0100
