=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: debbugs
 Section: misc
 Priority: optional
-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
 Uploaders: Don Armstrong <don@debian.org>
 Standards-Version: 3.2.1
 Build-Depends-Indep: debhelper
 
 Package: debbugs
 Architecture: all
-Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
+Depends: perl5 | perl, default-mta | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
 Recommends: httpd, links | lynx
 Description: The bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by
