=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
 	dh_installdocs
 	dh_installchangelogs
+	dh_link usr/share/debbugs/examples usr/share/doc/debbugs/examples
 	dh_strip
 	dh_compress -X examples/text
 	dh_fixperms
