=== debian/changelog ===
debbugs (2.4.2~exp1) experimental; urgency=low

  * Allow (almost) exactly what RFC2822 allows in comments (closes:
    #497144)
  * Fix problem with non-existant /etc/debbugs/config
  * Ditch \r and \n in status fields (closes: #545895)
  * Properly handle source packages when searching by maintainer; use
    package_maintainer instead of the hashes (closes: #556863)
  * Handle \r properly in Debbugs::MIME for PGP signatures
    (closes: #565981). Thanks to Mike Hommey
  * Allow type to be text as well as text/(something not html)
    (closes: #566068). Thanks to Mike Hommey.
  * Fix links to PTS pages for src packages (closes: #566089). Thanks to
    Sandro Tosi.
  * Fix affects for source packages (closes: #563470). Thanks to Charles
    Plessy.
  * Allow tag instead of tags; silently normalize it (closes: #567407).
    Thanks to Martin Krafft.
  * Properly handle Forwarded: at submit@ time (closes: #568020). Thanks
    to Martin Krafft.
  * Fix source package src: urls (closes: #567439). Thanks to Paul Wise.
  * Use package_maintainer to search for packages maintained by a
    maintainer (closes: #556863). Thanks to Yves-Alexis Perez.
  * Linkify CVE reports (closes: #568464). Thanks to Martin Zobel-Helas.
  * Fix noaffects option
  * Allow the default sendmail options to be specified in the config file;
    don't use -obq by default anymore.
  * Add urls to control@ mail footer (Closes: #578822). Thanks to Lars
    Wirzenius
  * Don't RFC1522 escape ", ( and ). (Closes: #588859). Thanks to Glenn
    Morris
  * Various changes to make debbugs-local work better (Closes: #585796) 
    - Add libnet-server-fork-perl to Depends for debbugs-local
    - Sanitize env in -T code

 -- Don Armstrong <don@debian.org>  Thu, 05 Aug 2010 21:54:12 -0700

debbugs (2.4.2~exp0) experimental; urgency=low

  [ Anthony Towns ]
  * Add "package" command to service (control@) to limit the bugs that
    the following commands apply to.

  [ Colin Watson ]
  * Add (slightly) fancy CGI decoding of message/* MIME types.
  * CGI scripts now support multiple maintainers for a single package.
  * Add support for an X-Debbugs-No-Ack: mail header to suppress
    acknowledgements.
  * Document how to deliver mail to debbugs via procmail and SpamAssassin.
  * Implement new .status format that's extensible and easier to read; it
    now lives in .summary rather than .status. Use debbugs-upgradestatus
    to convert existing bug databases.
  * Implement bug ownership, with new 'owner' and 'noowner' commands and
    Owner: pseudo-header (closes: #133453).
  * Install Debian configuration in the binary package's examples
    directory (closes: #222118).
  * New standalone SpamAssassin queue runner, spamscan.
  * Allow # prefix on bug numbers in 'merge' command.
  * Fix some ordering issues in old-style package pages and summaries.
  * Add X-$gProject-PR-Message: headers to all mails sent by service.
  * debbugsconfig creates required directories in $gSpoolDir
    (closes: #222077).
  * Decode RFC1522 mail headers for display in the web interface.
    bugreport.cgi and pkgreport.cgi now output UTF-8.
  * Properly support multiple submitter addresses on a single bug.
  * Add a number of extra htmlsanit() calls to prevent cross-site
    scripting attacks.

  [ Adam Heath ]
  * Rewrite filtering in cgi's common.pl, to make it completely generic.
    Filtering can now work against any field.
  * Rewrite grouping logic in cgi's common.pl, to make it completely
    generic.  There is now no longer 2 nested loops, to do the grouping.
    This makes adding new grouping levels simpler for the future.
  * Add in a Table of Contents to pkgreport.cgi.
  * Display how long until a resolved bug will be archived in
    pkgreport.cgi.
  * Add user-agent detection.  This currently doesn't change anything,
    however.
  * Add options show_list_(head|foot)er.

  [ Don Armstrong ]
  * Don't remove the maintainer address if the message was sent by the
    maintainer and we're submitting to maintonly (closes: #140061)
  * Use uri_escape to escape URI's before sending them back out so the
    name of the file doesn't munge the query string. [#301606 pt. 1]
  * call decode_rfc1522 on the filename returned so that encoded
    filenames get decoded to something "reasonable." (closes: #301606)
  * We now require URI::Escape
  * Added apache.conf to examples, which is a sample apache
    configuration file which implements the rewrite rules that are
    currently used on bugs.debian.org. (closes: #222264)
  * Change spamscan.in to work with SA 3.0; This is an incompatible
    change with SA 2.6, and as such, we now Suggests: spamassassin 
    (>=3.0) (closes: #290501)
  * Update MTA to exim4 (closes: #228597) and add instructions on using
    exim 4 (thanks to Marc Haber) (closes: #248335)
  * Added per bug subscription support to debbugs, which relies on an
    external MLM to actually deal with the requests; currently works with
    eoc and sends messages to bugnum\@$gListDomain. (closes: #34071)
  * Change bugreport.cgi to use Debbugs::Log and greately simplify the
    process of outputing the bug log.
  * All RFC1522 subject lines are decoded, both in the html information
    and the message headers. All messages are converted to UTF-8 whereever
    possible; all bugreport.cgi pages are now completely in UTF-8 to the
    degree possible using Encode.pm (closes: #46848,#238984)
  * Add a convert_to_utf8 function to Debbugs::Mime to make the above
    possible; abstracts functionality that was already present in the
    decode_rfc1522 fucntionality.
  * Individual messages can now be downloaded from each bug report
    (closes: #95373)
  * Uninteresting headers are now hidden by default, can be renabled
    with &trim=no (closes: #188561)
  * Fix postfix instructions in README.mail (thanks to Jeff Teunissen)
    (closes: #134166)
  * Display old severity when changing severity (closes: #196947)

