=== debian/control ===
Source: debbugs
Section: misc
Priority: extra
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>
Standards-Version: 3.8.2
Vcs-Bzr: http://bugs.debian.org/debbugs-source/mainline
Vcs-Browser: http://bugs.debian.org/debbugs-source/mainline
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: libparams-validate-perl,
 libmailtools-perl, libmime-tools-perl, libio-stringy-perl, libmldbm-perl,
 liburi-perl, libsoap-lite-perl, libcgi-simple-perl,
 libhttp-server-simple-perl, libtest-www-mechanize-perl,
 libmail-rfc822-address-perl, libsafe-hole-perl, libuser-perl,
 libconfig-simple-perl, libtest-pod-perl, liblist-moreutils-perl,
 libtext-template-perl

Package: debbugs
Architecture: all
Depends: ${perl:Depends}, exim4 | mail-transport-agent,
 libdebbugs-perl
Recommends: debbugs-web
Suggests: spamassassin (>= 3.0), libcgi-alert-perl
Description: The bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This version is fully functional, but it does not automatically configure.
 See /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be various issues with this package, caveat emptor.

Package: libdebbugs-perl
Architecture: all
Depends: ${perl:Depends}, libmailtools-perl, ed, libmime-tools-perl,
 libio-stringy-perl, libmldbm-perl, liburi-perl, libsoap-lite-perl,
 libcgi-simple-perl, libparams-validate-perl, libtext-template-perl,
 libsafe-hole-perl, libmail-rfc822-address-perl, liblist-moreutils-perl,
 libtext-template-perl
Section: perl
Description: modules used by the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the perl modules used by the bug tracking
 system, some of which may be suitable for custom scripts which
 interact with local debbugs mirrors.

Package: debbugs-web
Architecture: all
Depends: libdebbugs-perl, apache | httpd
Suggests: libcgi-alert-perl
Description: web scripts for the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the cgi scripts necessary to view bugreports
 using the web.

Package: debbugs-local
Architecture: all
Depends: libdebbugs-perl, debbugs-web, libconfig-simple-perl,
 libuser-perl, rsync, libhttp-server-simple-perl, libnet-server-perl
Description: run and maintains a local mirror of the Debian BTS
 Debian has a bug tracking system which files details of bugs reported
 by users and developers. Each bug is given a number, and is kept on
 file until it is marked as having been dealt with. The system is
 mainly controlled by e-mail, but the bug reports can be viewed using
 the WWW.
 .
 This package contains extra scripts necessary to create a local
 mirror of the Debian BTS and keep a local mirror up to date.
